package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class MaterialInquirySupplierBatchModel {
   @ApiModelProperty("批次号")
   private Integer quoteBatchNum;
   @ApiModelProperty("报价截止时间")
   private LocalDateTime quoteEndTime;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("单价合计")
   private Integer totalAmount;
   @ApiModelProperty("状态(1已报价,2未报价,3已中标,4未中标)")
   private Integer status;
   @ApiModelProperty("批次号")
   private Long batchId;

   public Integer getQuoteBatchNum() {
      return this.quoteBatchNum;
   }

   public LocalDateTime getQuoteEndTime() {
      return this.quoteEndTime;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public Integer getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getBatchId() {
      return this.batchId;
   }

   public void setQuoteBatchNum(final Integer quoteBatchNum) {
      this.quoteBatchNum = quoteBatchNum;
   }

   public void setQuoteEndTime(final LocalDateTime quoteEndTime) {
      this.quoteEndTime = quoteEndTime;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setTotalAmount(final Integer totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setBatchId(final Long batchId) {
      this.batchId = batchId;
   }
}
